@charset "utf-8";
@import url("fonts.css");
*, ::before, ::after { box-sizing: border-box; margin: 0px; padding: 0px; }
:root { --color-primary: rgba(235, 30, 37, 1); --color-secondary: rgba(0, 95, 255, 1); --color-bg: rgba(255, 255, 255, 1); --color-text: rgba(29, 29, 29, 1); --font-base: "Arial", sans-serif; --font-size-base: 17px; --font-weight-normal: 400; --font-weight-bold: 700; --border-radius: 8px; --border-color: rgba(197, 197, 197, 1); --shadow-sm: 0 1px 3px rgba(0, 0, 0, 0.1); --shadow-md: 0 4px 6px rgba(0, 0, 0, 0.1); }
html { scroll-behavior: smooth; }
html, body { height: 100%; -webkit-font-smoothing: antialiased; }
img, picture, video, canvas, svg { display: block; max-width: 100%; }
input, button, textarea, select { font: inherit; color: inherit; background: none; border-width: medium; border-style: none; border-color: currentcolor; border-image: initial; outline: none; }
button { cursor: pointer; background-color: transparent; }
ul, ol { list-style: none; }
body { background: var(--color-bg); color: var(--color-text); font-family: var(--font-base); font-size: var(--font-size-base); font-weight: var(--font-weight-normal); }
a { color: inherit; text-decoration: none; transition: color 0.2s; }
.container { width: 100%; max-width: 1125px; margin: 0px auto; }
.main-layout { display: flex; gap: 80px; margin-top: 30px; }
.link { color: var(--color-primary); }
.link:hover { text-decoration: underline; }
.hidden { display: none !important; visibility: hidden; }
.clearfix::before, .clearfix::after { content: " "; display: table; }
.clearfix::after { clear: both; }
.clearfix { zoom: 1; }
.fade-out { opacity: 0; transition: opacity 0.3s, transform 0.3s; }
.fade-in { opacity: 0; animation: 0.4s ease 0s 1 normal forwards running fadeIn; }
@keyframes fadeIn { 
  100% { opacity: 1; }
}
.header { display: flex; flex-direction: column; gap: 15px; }
.header__content { display: flex; align-items: center; justify-content: space-between; border-bottom: 1px solid var(--border-color); }
.header__logo { background-color: var(--color-primary); padding: 18px 27px; }
.header__logo img { }
.header__nav { padding: 21px 26px; display: flex; gap: 30px; flex: 1 1 0%; }
.nav__link { font-family: Rubik, sans-serif; font-size: 14px; letter-spacing: 0.044em; text-transform: uppercase; }
.nav__link:hover { color: var(--color-primary); }
.header__icons { display: flex; gap: 16px; }
.icon__separator { display: inline-block; width: 1px; height: 20px; background-color: var(--border-color); vertical-align: middle; }
.icon__link img { height: 16px; width: 16px; }
.icon__link:hover { opacity: 0.7; }
.burger__menu { display: none; }
.subnav { border-bottom: 1px solid var(--border-color); display: flex; flex-wrap: wrap; gap: 18px; }
.subnav__link { font-size: 14px; padding: 0px 2px 12px; border-bottom: 3px solid transparent; }
.subnav__link.active { border-color: var(--color-primary); }
.subnav__link:hover { color: var(--color-primary); }
.article { position: relative; padding-top: 31px; }
.article-content { position: relative; max-width: 760px; }
.article-header { display: flex; flex-direction: column; gap: 30px; }
.article-list { padding-left: 20px; list-style: disc; display: flex; flex-direction: column; gap: 10px; }
.article-header__title { font-family: Roboto, serif; font-size: 45px; font-weight: 700; line-height: 1.3; letter-spacing: 0.044em; padding: 12px 0px; border-bottom: 1px solid var(--border-color); }
.article-header__info { display: flex; align-items: center; justify-content: space-between; }
.article-author { display: flex; align-items: center; gap: 10px; }
.article-author__photo { width: 60px; height: 60px; border-radius: 50%; object-fit: cover; }
.article-author__info { font-family: Rubik, serif; display: flex; flex-direction: column; gap: 5px; font-size: 14px; }
.article__share:hover { opacity: 0.7; }
.article__share img { width: 20px; height: 20px; }
.article-content { width: 760px; display: flex; flex-direction: column; gap: 30px; }
.article-content h3 { font-size: 19px; font-weight: 600; letter-spacing: 0.044em; }
.aside-wrapper { position: absolute; top: 30px; right: 0px; height: 100%; max-width: 285px; z-index: 999; }
.aside { font-size: 15px; }
.aside-tabs { display: flex; gap: 19px; margin-bottom: 26px; }
.aside-tab { font-family: Rubik, sans-serif; font-size: 14px; letter-spacing: 0.05em; text-transform: uppercase; padding-bottom: 16px; border-bottom: 3px solid transparent; color: rgb(197, 197, 197); }
.aside-tab.active { color: var(--color-text); border-color: var(--color-primary); }
.aside-tab:hover { color: var(--color-primary); }
.aside-news-item { display: flex; align-items: flex-start; gap: 17px; margin-bottom: 22px; }
.news-time { font-family: Flama, sans-serif; display: flex; flex-direction: column; align-items: center; justify-content: center; color: var(--color-primary); flex-shrink: 0; }
.news-time-count { font-weight: 700; font-size: 20px; line-height: 1; }
.news-time-min { font-size: 14px; font-weight: 500; line-height: 1; }
.news-text:hover { opacity: 0.7; }
.aside-news-item.older .news-time { color: rgb(197, 197, 197); }
.aside-show-more { font-family: Rubik, sans-serif; font-weight: 600; width: 100%; display: inline-block; text-align: center; border: 1px solid var(--border-color); padding: 16px 30px; font-size: 12px; letter-spacing: 0.009em; text-transform: uppercase; color: rgb(197, 197, 197); }
.aside-show-more:hover { opacity: 0.7; }
.investment-calculator { font-family: Rubik, sans-serif; width: 100%; text-align: center; margin: 0px auto; padding: 30px; }
.calculator-content { width: 100%; }
.investment-calculator h2 { font-weight: 500; font-size: 24px; }
.investment-calculator p { font-size: 18px; font-weight: 400; text-align: center; margin-bottom: 20px; }
.investment-calculator .slider-container { position: relative; width: 100%; margin: 0px auto; }
.investment-calculator .profit { margin-top: 20px; margin-bottom: 30px; }
.investment-calculator .profit p { font-size: 32px; font-weight: 500; text-align: center; margin-bottom: 20px; text-transform: uppercase; }
.investment-calculator .profit h3 { font-size: 32px; font-weight: 500; text-align: center; text-transform: uppercase; }
.arrow-button { display: inline-flex; align-items: center; font-size: 1.2rem; color: rgb(19, 149, 251); text-decoration: none; font-weight: 600; transition: color 0.3s; }
.arrow-button:hover { color: rgb(19, 149, 251); }
.arrow-button .circle-icon { display: flex; justify-content: center; align-items: center; background-color: rgb(19, 149, 251); border-radius: 50%; width: 25px; height: 25px; margin-right: 10px; transition: background-color 0.3s; }
.arrow-button .circle-icon img { width: 12px; height: 12px; rotate: 90deg; }
.arrow-button .join-now:hover .circle-icon { background-color: rgb(19, 149, 251); }
.article-info { padding-top: 30px; }
.info-line { margin: 20px 0px; color: rgb(115, 114, 114); line-height: 1.5; }
.info-line span { display: inline; max-width: 100%; }
.info-icon { float: left; height: 17px; margin: 4px 8px 0px 0px; }
.info-line strong { font-weight: 600; }
.info-separator { border-width: 1px medium medium; border-style: solid none none; border-color: rgb(221, 221, 221) currentcolor currentcolor; border-image: initial; margin: 26px 0px; }
.info-highlight { color: var(--color-primary); display: flex; align-items: flex-start; flex-wrap: wrap; margin-bottom: 22px; gap: 3px; font-size: 18px; }
.info-highlight img { height: 17px; }
.info-count { color: rgb(145, 145, 145); }
.info-tags { display: flex; flex-wrap: wrap; gap: 21px; margin-top: 36px; }
.info-tag { background-color: rgb(242, 242, 242); padding: 8px 13px; border-radius: 15px; font-size: 13px; display: inline-block; }
.info-tag span { color: var(--color-primary); }
.info-tag:hover { opacity: 0.7; }
.highlighted { padding: 30px 0px; }
.highlighted__content { border-top: 1px solid rgb(235, 235, 235); border-bottom: 1px solid rgb(235, 235, 235); padding: 45px 0px 21px; }
.highlighted__header { display: flex; align-items: center; justify-content: space-between; padding-right: 20px; }
.highlighted__title { font-family: Rubik, sans-serif; font-size: 25px; font-weight: 300; margin-bottom: 20px; }
.highlighted__subtitle { font-size: 14px; line-height: 1.4; }
.highlighted__list { display: grid; grid-template-columns: repeat(4, 1fr); gap: 20px; }
.highlighted__item { padding-right: 20px; position: relative; border-right: 1px solid rgb(235, 235, 235); }
.highlighted__item:hover { opacity: 0.7; }
.highlighted__video { position: relative; }
.highlighted__image { margin-bottom: 14px; }
.highlighted__text { font-size: 18px; line-height: 1.4; display: -webkit-box; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.line-clamp-2 { -webkit-line-clamp: 2; max-height: calc(2.8em); }
.line-clamp-3 { -webkit-line-clamp: 3; max-height: calc(4.2em); }
.highlighted__label { color: rgb(242, 95, 24); margin-right: 5px; }
.highlighted__play-icon { position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); border-radius: 50%; }
.highlighted__play-icon img { border-radius: 50%; }
.comments { padding: 40px 0px; background-color: rgb(255, 255, 255); }
.comments__content { max-width: 760px; }
.comments__textarea { font-family: Roboto, sans-serif; width: 100%; height: 100px; padding: 10px; font-size: 12px; resize: none; border: 1px solid rgb(235, 235, 235); margin-bottom: 26px; letter-spacing: 0.009em; }
.comments__textarea::placeholder { color: var(--color-text); font-weight: 600; }
.comments__notice-wrapper { width: 100%; display: flex; flex-direction: column; align-items: flex-end; gap: 10px; margin-bottom: 20px; }
.comments__notice { width: 100%; font-family: Roboto, sans-serif; font-weight: 600; background-color: rgb(245, 245, 245); font-size: 11px; padding: 20px 15px; color: rgb(130, 130, 130); letter-spacing: 0.009em; }
.comments__notice a { text-decoration: underline; }
.comments__login-button { font-family: Rubik, sans-serif; background-color: var(--color-primary); font-size: 13px; font-weight: 600; color: rgb(255, 255, 255); padding: 8px; display: inline-flex; }
.comments__top { display: flex; justify-content: space-between; align-items: center; margin-bottom: 40px; }
.comments__title { font-family: Rubik, sans-serif; font-size: 25px; font-weight: 300; letter-spacing: 0.009em; }
.comments__count { color: rgb(197, 197, 197); }
.comments__sort { font-family: Rubik, sans-serif; font-size: 12px; font-weight: 500; letter-spacing: 0.009em; text-transform: uppercase; display: flex; align-items: center; gap: 5px; }
.comment { font-family: Rubik, sans-serif; display: flex; gap: 15px; border-bottom: 1px solid rgb(238, 238, 238); padding: 20px 0px; }
.comment.reply { padding-left: 55px; }
.comment:first-child { border-top: 1px solid rgb(235, 235, 235); }
.comment__avatar { background-color: var(--color-primary); color: white; font-weight: 700; font-size: 16px; width: 40px; height: 40px; display: flex; justify-content: center; align-items: center; flex-shrink: 0; text-transform: uppercase; }
.comment__content { flex: 1 1 0%; }
.comment__author { font-weight: bold; font-size: 14px; }
.comment__time { font-weight: 700; color: rgb(130, 130, 130); font-size: 12px; }
.comment__text { margin: 6px 0px; font-size: 16px; font-weight: 300; }
.comment__actions { display: flex; align-items: center; justify-content: space-between; font-size: 12px; color: rgb(130, 130, 130); font-weight: 300; }
.comment__action { display: flex; align-items: center; gap: 3px; }
.comment__action:hover { color: var(--color-primary); }
.comment__reply { text-transform: uppercase; }
.comment__more { padding: 20px 0px; text-align: center; }
.comment__more a { font-family: Roboto, sans-serif; font-size: 12px; font-weight: 300; color: rgb(130, 130, 130); }
.comment__more a:hover { color: var(--color-primary); }
.footer { font-size: 13px; }
.footer__logo { display: flex; align-items: center; justify-content: center; border-bottom: 1px solid var(--border-color); padding-bottom: 22px; }
.footer__columns { font-family: Arial, sans-serif; font-weight: 400; display: grid; grid-template-columns: repeat(6, 1fr); gap: 21px; padding: 23px 0px 30px; }
.footer__column { display: flex; flex-direction: column; gap: 17px; }
.footer__column:not(:last-child) { border-right: 1px solid var(--border-color); }
.footer__heading { letter-spacing: 0.004em; }
.footer__social-grid { display: flex; flex-direction: column; gap: 17px; }
.footer__column a { color: rgb(130, 130, 130); display: flex; align-items: center; gap: 5px; }
.footer__column a img { width: 15px; height: 15px; }
.footer__column a:hover { color: var(--color-primary); }
.footer__bottom { border-top: 1px solid var(--border-color); padding: 20px 0px 10px; display: flex; justify-content: space-between; flex-wrap: wrap; color: rgb(145, 145, 145); }
.footer__links { display: flex; gap: 20px; flex-wrap: wrap; }
.footer__links a:hover { color: var(--color-primary); }
@media (max-width: 1240px) {
  .container { max-width: 100%; padding: 0px 20px; }
}
@media (max-width: 1100px) {
  .aside-wrapper, .aside { max-width: 100%; position: static; }
  .article-content { width: 100%; max-width: 100%; }
}
@media (max-width: 1024px) {
  .highlighted__item { padding-right: 10px; }
}
@media (max-width: 768px) {
  .header__nav, .subnav__container { display: none; }
  .burger__menu { display: block; margin-left: 20px; }
  .header__logo img { height: 21px; }
  .article-content { width: 100%; }
  .article-header__title { font-size: 32px; line-height: 1.1; }
  .article__share { display: none; }
  .highlighted__container { border-top: 1px solid rgb(235, 235, 235); }
  .highlighted__list { grid-template-columns: 1fr; }
  .investment-calculator h2 { font-size: 17px; }
  .investment-calculator p { font-size: 13px; }
  .investment-calculator .profit p { font-size: 17px; }
  .investment-calculator .profit h3 { font-size: 17px; }
  .arrow-button { font-size: 17px; }
  .highlighted__item { width: 100%; display: flex; gap: 14px; border-width: medium medium 1px; border-style: none none solid; border-color: currentcolor currentcolor rgb(235, 235, 235); border-image: initial; padding-right: 0px; }
  .highlighted__image { max-width: 170px; }
  .highlighted__content { border-width: medium; border-style: none; border-color: currentcolor; border-image: initial; }
  .line-clamp-2 { -webkit-line-clamp: 3; max-height: calc(4.2em); }
  .comments { padding-top: 0px; }
  .comments__top { flex-direction: column; align-items: flex-start; }
  .comments__sort { align-self: flex-end; }
  .footer__logo { padding-bottom: 10px; }
  .footer__logo img { height: 16px; }
  .footer__columns { grid-template-columns: repeat(5, auto); gap: 10px; }
  .footer__heading { font-size: 12px; font-weight: 400; }
  .footer__column a { font-size: 10px; }
  .footer__column:last-child { grid-column: 1 / -1; align-items: center; text-align: center; margin-top: 20px; }
  .footer__social-grid { width: 100%; display: grid; grid-auto-flow: column; grid-template-rows: repeat(2, auto); gap: 10px 30px; justify-content: space-between; text-align: left; }
  .footer__bottom { align-items: center; justify-content: center; }
  .footer__links { gap: 12px; font-size: 10px; }
  .footer__copyright { font-size: 10px; margin-top: 10px; }
}